Vagrant.configure(2) do |config|
	
	config.vm.box = "centos/7"
	config.vm.hostname = "centos7-docker"
	config.vm.network "private_network", ip: "192.168.100.102"
	
	config.vm.provision "shell" do |shell|
		shell.path = "01-install-base-tools.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "02-install-git.sh"
	end
	config.vm.provision "shell" do |shell|
		shell.path = "03-install-docker.sh"
	end
	
	config.vm.provider "virtualbox" do |vb|
		vb.customize ['modifyvm', :id, '--cpus', 2]
		vb.customize ['modifyvm', :id, '--memory', 2048]
	end
	
end
